// hzyDlg.h : header file
//

#if !defined(AFX_HZYDLG_H__F959C3BA_5F71_4B53_AC46_F043C1A006F1__INCLUDED_)
#define AFX_HZYDLG_H__F959C3BA_5F71_4B53_AC46_F043C1A006F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CHzyDlg dialog

class CHzyDlg : public CDialog
{
// Construction
public:
	CHzyDlg(CWnd* pParent = NULL);	// standard constructor


// Dialog Data
	//{{AFX_DATA(CHzyDlg)
	enum { IDD = IDD_HZY_DIALOG };
	CComboBox	m_goods;
	CComboBox	m_monster;
	CComboBox	m_personality;
	CStatic	m_authorQQ;
	CComboBox	m_RoleSele;
	UINT	m_HP;
	UINT	m_MP;
	UINT	m_level;
	UINT	m_HPMax;
	UINT	m_MPMax;
	UINT	m_magicDef;
	UINT	m_magicAtt;
	UINT	m_precision;
	UINT	m_speed;
	UINT	m_attack;
	UINT	m_avoid;
	UINT	m_defence;
	UINT	m_doubleAtt;
	UINT	m_property;
	UINT	m_experience;
	CString	m_static_state;
	UINT	m_money;
	UINT	m_medicine;
	UINT	m_medicine2;
	UINT	m_medicine3;
	UINT	m_medicine4;
	UINT	m_goods1;
	UINT	m_goods2;
	UINT	m_goods3;
	UINT	m_monsterAtt;
	UINT	m_monsterDef;
	UINT	m_monsterHP;
	UINT	m_monsterMagicAtt;
	UINT	m_monsterMagicDef;
	UINT	m_monsterMP;
	UINT	m_monsterNum;
	UINT	m_monsterPrecision;
	UINT	m_monsterSpeed;
	UINT	m_goodsNum;
	//}}AFX_DATA
	//定义数组，存放基址 与 编辑框变量，for循环遍历用.
	LPVOID m[16][2];//人物
	int len;		//存放数组长度(人物)
	//4字节数据
	int dwordData;
	//声明字体变量，设置组合框字体
	CFont roleSeleFont;
	//组合框索引
	int selectedRole;//"选择人物"
	int selectedPersonality;//人物属性: "个性"
	int selectedGoods;//选择"物品";
	int selectedMonster;//"选择壶妖"

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHzyDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CHzyDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnReaddata();
	afx_msg void OnBtnEditdata();
	afx_msg void OnSelchangeCOMBORoleSele();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnKillfocusCOMBORoleSele();
	afx_msg void OnSelchangeCOMBOpersonality();
	afx_msg void OnBtnReadGoods();
	afx_msg void OnBtnEditGoods();
	afx_msg void OnSelchangeCOMBOmonster();
	afx_msg void OnSelchangeCOMBOgoods();
	afx_msg void OnCHECKomitAnimation();
	afx_msg void OnCHECKnoFight();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CRect m_Rect;//用来保存控件坐标
	//超链接下划线
	CFont* m_cfNtr;
	CFont m_cfUL;
	LOGFONT m_lfNtr,m_lfUL;
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HZYDLG_H__F959C3BA_5F71_4B53_AC46_F043C1A006F1__INCLUDED_)
